Campagnemeldingen

GET https://wwidgets.com/api/notifications/
curl --request GET \
--url 'https://wwidgets.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Beschrijving
search Optioneel String De zoekopdracht.
search_by Optioneel String In welk veld je zoekt. Toegestane waarden zijn: name.
is_enabled Optioneel Boolean
type Optioneel String Toegestane waarden: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, INFORMATIONAL_BAR, IMAGE, COLLECTOR_BAR, COUPON_BAR, BUTTON_BAR, COLLECTOR_MODAL, COLLECTOR_TWO_MODAL, BUTTON_MODAL, TEXT_FEEDBACK, ENGAGEMENT_LINKS, WHATSAPP_CHAT
datetime_field Optioneel String Toegestane waarden: datetime, last_datetime
datetime_start Optioneel String Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s.
datetime_end Optioneel String Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s.
order_by Optioneel String Op welk veld de resultaten worden gesorteerd. Toegestane waarden zijn: notification_id, datetime, last_datetime, name, impressions, hovers, clicks, form_submissions.
order_type Optioneel String De sortering van de resultaten. Toegestane waarden zijn: ASC voor oplopende sortering en DESC voor aflopende sortering.
page Optioneel Integer Het paginanummer waarvan je resultaten wilt. Standaard 1.
results_per_page Optioneel Integer Hoeveel resultaten je per pagina wilt. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "campaign_id": 1,
            "notification_key": "Example",
            "name": "Example",
            "type": "Example",
            "settings": [],
            "impressions": 1,
            "hovers": 1,
            "clicks": 1,
            "form_submissions": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-16 16:46:30"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://wwidgets.com/api/notifications?page=1",
        "last": "https://wwidgets.com/api/notifications?page=1",
        "next": null,
        "prev": null,
        "self": "https://wwidgets.com/api/notifications?page=1"
    }
}
GET https://wwidgets.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://wwidgets.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": [],
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 16:46:30"
    }
}
POST https://wwidgets.com/api/notifications
Parameters Details Beschrijving
campaign_id Verplicht Integer -
type Verplicht String Toegestane waarden: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, INFORMATIONAL_BAR, IMAGE, COLLECTOR_BAR, COUPON_BAR, BUTTON_BAR, COLLECTOR_MODAL, COLLECTOR_TWO_MODAL, BUTTON_MODAL, TEXT_FEEDBACK, ENGAGEMENT_LINKS, WHATSAPP_CHAT
name Optioneel String -
is_enabled Optioneel Boolean -
curl --request POST \
--url 'https://wwidgets.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": "Example",
        "hovers": "Example",
        "clicks": 1,
        "form_submissions": "Example",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 16:46:30"
    }
}
POST https://wwidgets.com/api/notifications/{notification_id}
Parameters Details Beschrijving
name Optioneel String -
is_enabled Optioneel Boolean -
trigger_all_pages Optioneel Boolean -
display_trigger Optioneel String Toegestane waarden: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, target_visible, click, hover
display_trigger_value Optioneel String -
display_trigger_selector Optioneel String Beschikbaar wanneer: display_trigger = target_visible
display_delay_type_after_close Optioneel String Toegestane waarden: time_on_site, pageviews
display_delay_value_after_close Optioneel Integer -
display_focus Optioneel Boolean -
display_focus_behavior Optioneel String Toegestane waarden: visual_only, outside_click_unfocus, lock_until_interaction
display_frequency Optioneel String Toegestane waarden: all_time, once_per_session, once_per_browser
direction Optioneel String Toegestane waarden: rtl, ltr
display_continents Optioneel Array String -
display_countries Optioneel Array String -
display_languages Optioneel Array String -
display_operating_systems Optioneel Array String -
display_browsers Optioneel Array String -
display_cities Optioneel Array String -
display_mobile Optioneel Boolean -
display_desktop Optioneel Boolean -
schedule Optioneel Boolean -
start_date Optioneel String -
end_date Optioneel String -
display_duration Optioneel Integer -
display_position Optioneel String Toegestane waarden: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating
display_close_button Optioneel Boolean -
close_button_color Optioneel String -
dark_mode_close_button_color Optioneel String -
display_branding Optioneel Boolean -
shadow Optioneel String Toegestane waarden: , subtle, feather, 3d, layered
border_width Optioneel Integer Toegestane waarden: 0, 1, 2, 3, 4, 5
internal_padding Optioneel Integer Toegestane waarden: 5-25
background_blur Optioneel Integer Toegestane waarden: 0-30
custom_css Optioneel String -
hover_animation Optioneel String Toegestane waarden: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down
on_animation Optioneel String Toegestane waarden: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn
off_animation Optioneel String Toegestane waarden: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut
animation Optioneel String Toegestane waarden: , heartbeat, bounce, flash, pulse
animation_interval Optioneel Integer -
font Optioneel String Toegestane waarden: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus
border_radius Optioneel String Toegestane waarden: straight, rounded, highly_rounded, round
dark_mode_is_enabled Optioneel Boolean
notifications Optioneel Array Beschikbaar wanneer: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, inline_conversions, conversions_counter, inline_conversions_counter, countdown_collector, request_collector, text_feedback ID's van meldingskanalen
data_source_notification_ids[index] Optioneel Array Integer Beschikbaar wanneer: type = conversions, inline_conversions, conversions_counter, inline_conversions_counter, reviews, inline_reviews, rating_summary, inline_rating_summary Selected collector notification IDs.
translations[input_key][index]['key'] Optioneel String Beschikbaar voor alle velden die als vertaalbaar zijn gemarkeerd.
translations[input_key][index]['value'] Optioneel String Beschikbaar voor alle velden die als vertaalbaar zijn gemarkeerd.
conversions / inline_conversions
title Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
description Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
image Optioneel Bestand Beschikbaar wanneer: type = conversions, inline_conversions
image_alt Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
url Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
display_time Optioneel Boolean Beschikbaar wanneer: type = conversions, inline_conversions
url_new_tab Optioneel Boolean Beschikbaar wanneer: type = conversions, inline_conversions
conversions_count Optioneel Integer Beschikbaar wanneer: type = conversions, inline_conversions
in_between_delay Optioneel Integer Beschikbaar wanneer: type = conversions, inline_conversions
order Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
Toegestane waarden: random, descending
data_trigger_auto Optioneel Boolean Beschikbaar wanneer: type = conversions, inline_conversions
data_trigger_auto_type[index] Optioneel Array String Beschikbaar wanneer: type = conversions, inline_conversions
Toegestane waarden: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Optioneel Array String Beschikbaar wanneer: type = conversions, inline_conversions
title_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
description_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
date_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
background_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
border_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
shadow_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_title_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_description_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_date_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_background_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_border_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
dark_mode_shadow_color Optioneel String Beschikbaar wanneer: type = conversions, inline_conversions
data_trigger_auto Optioneel Boolean Beschikbaar wanneer: type = conversions counter
data_trigger_auto_type[index] Optioneel Array String Beschikbaar wanneer: type = conversions, inline_conversions
Toegestane waarden: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Optioneel Array String Beschikbaar wanneer: type = conversions, inline_conversions
rating_summary / inline_rating_summary
description Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary Vertaalbaar
average_rating Optioneel Float Beschikbaar wanneer: type = rating_summary, inline_rating_summary
reviews_count Optioneel api_documentation.integer Beschikbaar wanneer: type = rating_summary, inline_rating_summary
display_minimum_reviews Optioneel api_documentation.integer Beschikbaar wanneer: type = rating_summary, inline_rating_summary
url Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
url_new_tab Optioneel Boolean Beschikbaar wanneer: type = rating_summary, inline_rating_summary
selector Optioneel String Beschikbaar wanneer: type = inline_rating_summary
inline_placement Optioneel String Beschikbaar wanneer: type = inline_rating_summary
rating_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
rating_background_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
stars_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
description_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
background_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
border_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
shadow_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_rating_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_rating_background_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_stars_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_description_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_background_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_border_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
dark_mode_shadow_color Optioneel String Beschikbaar wanneer: type = rating_summary, inline_rating_summary
telegram_chat
title Optioneel String Beschikbaar wanneer: type = telegram_chat
agent_image Optioneel Bestand Beschikbaar wanneer: type = telegram_chat
agent_image_alt Optioneel String Beschikbaar wanneer: type = telegram_chat
agent_name Optioneel String Beschikbaar wanneer: type = telegram_chat Vertaalbaar
agent_description Optioneel String Beschikbaar wanneer: type = telegram_chat Vertaalbaar
agent_message Optioneel String Beschikbaar wanneer: type = telegram_chat Vertaalbaar
agent_telegram Optioneel String Beschikbaar wanneer: type = telegram_chat Vertaalbaar
button_text Optioneel String Beschikbaar wanneer: type = telegram_chat Vertaalbaar
header_agent_name_color Optioneel String Beschikbaar wanneer: type = telegram_chat
header_agent_description_color Optioneel String Beschikbaar wanneer: type = telegram_chat
header_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
content_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
content_agent_name_color Optioneel String Beschikbaar wanneer: type = telegram_chat
content_agent_message_color Optioneel String Beschikbaar wanneer: type = telegram_chat
content_agent_message_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
footer_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
footer_button_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
footer_button_color Optioneel String Beschikbaar wanneer: type = telegram_chat
title_color Optioneel String Beschikbaar wanneer: type = telegram_chat
background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
border_color Optioneel String Beschikbaar wanneer: type = telegram_chat
shadow_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_header_agent_name_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_header_agent_description_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_header_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_content_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_content_agent_name_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_content_agent_message_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_content_agent_message_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_footer_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_footer_button_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_footer_button_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_title_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_background_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_border_color Optioneel String Beschikbaar wanneer: type = telegram_chat
dark_mode_shadow_color Optioneel String Beschikbaar wanneer: type = telegram_chat
facebook_messenger_chat
display_continents Optioneel String -
display_countries Optioneel String -
display_languages Optioneel String -
display_operating_systems Optioneel String -
display_browsers Optioneel String -
display_cities Optioneel String -
infinite_rotation Optioneel String -
video_is_vimeo Optioneel String -
vimeo_video_id Optioneel Integer -
badge_text Optioneel String -
hint_text Optioneel String -
items Optioneel Array -
trigger_type Optioneel String -
trigger_value Optioneel Integer -
border_color Optioneel String -
dark_mode_border_color Optioneel String -
shadow_color Optioneel String -
dark_mode_shadow_color Optioneel String -
title_color Optioneel String -
description_color Optioneel String -
background_color Optioneel String -
dark_mode_title_color Optioneel String -
dark_mode_description_color Optioneel String -
dark_mode_background_color Optioneel String -
margin_top Optioneel String -
margin_right Optioneel String -
margin_bottom Optioneel String -
margin_left Optioneel String -
button_background_color Optioneel String -
button_color Optioneel String -
dark_mode_button_background_color Optioneel String -
dark_mode_button_color Optioneel String -
number_background_color Optioneel String -
number_color Optioneel String -
pulse_background_color Optioneel String -
dark_mode_number_background_color Optioneel String -
dark_mode_number_color Optioneel String -
dark_mode_pulse_background_color Optioneel String -
date_color Optioneel String -
dark_mode_date_color Optioneel String -
rating_color Optioneel String -
rating_background_color Optioneel String -
stars_color Optioneel String -
dark_mode_rating_color Optioneel String -
dark_mode_rating_background_color Optioneel String -
dark_mode_stars_color Optioneel String -
content_title_color Optioneel String -
content_description_color Optioneel String -
dark_mode_content_title_color Optioneel String -
dark_mode_content_description_color Optioneel String -
time_color Optioneel String -
time_background_color Optioneel String -
dark_mode_time_color Optioneel String -
dark_mode_time_background_color Optioneel String -
coupon_code_color Optioneel String -
coupon_code_background_color Optioneel String -
coupon_code_border_color Optioneel String -
dark_mode_coupon_code_color Optioneel String -
dark_mode_coupon_code_background_color Optioneel String -
dark_mode_coupon_code_border_color Optioneel String -
categories_title_color Optioneel String -
categories_description_color Optioneel String -
categories_links_title_color Optioneel String -
categories_links_description_color Optioneel String -
categories_links_background_color Optioneel String -
categories_links_border_color Optioneel String -
dark_mode_categories_title_color Optioneel String -
dark_mode_categories_description_color Optioneel String -
dark_mode_categories_links_title_color Optioneel String -
dark_mode_categories_links_description_color Optioneel String -
dark_mode_categories_links_background_color Optioneel String -
dark_mode_categories_links_border_color Optioneel String -
badge_background_color Optioneel String -
badge_color Optioneel String -
hint_background_color Optioneel String -
hint_color Optioneel String -
item_question_color Optioneel String -
item_answer_color Optioneel String -
item_background_color Optioneel String -
item_border_color Optioneel String -
dark_mode_badge_background_color Optioneel String -
dark_mode_badge_color Optioneel String -
dark_mode_hint_background_color Optioneel String -
dark_mode_hint_color Optioneel String -
dark_mode_item_question_color Optioneel String -
dark_mode_item_answer_color Optioneel String -
dark_mode_item_background_color Optioneel String -
dark_mode_item_border_color Optioneel String -
header_agent_name_color Optioneel String -
header_agent_description_color Optioneel String -
header_background_color Optioneel String -
content_background_color Optioneel String -
content_agent_name_color Optioneel String -
content_agent_message_color Optioneel String -
content_agent_message_background_color Optioneel String -
footer_background_color Optioneel String -
footer_button_background_color Optioneel String -
footer_button_color Optioneel String -
dark_mode_header_agent_name_color Optioneel String -
dark_mode_header_agent_description_color Optioneel String -
dark_mode_header_background_color Optioneel String -
dark_mode_content_background_color Optioneel String -
dark_mode_content_agent_name_color Optioneel String -
dark_mode_content_agent_message_color Optioneel String -
dark_mode_content_agent_message_background_color Optioneel String -
dark_mode_footer_background_color Optioneel String -
dark_mode_footer_button_background_color Optioneel String -
dark_mode_footer_button_color Optioneel String -
curl --request POST \
--url 'https://wwidgets.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 16:46:30"
    }
}
DELETE https://wwidgets.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://wwidgets.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \